def get_path_to_fraction(numerator, denominator):
    path = []
    left_numerator, left_denominator = 0, 1  
    right_numerator, right_denominator = 1, 0  
    while True:

        current_numerator = left_numerator + right_numerator
        current_denominator = left_denominator + right_denominator
        
        if current_numerator * denominator < numerator * current_denominator:
            path.append('R')
            left_numerator, left_denominator = current_numerator, current_denominator
        elif current_numerator * denominator > numerator * current_denominator:
            path.append('L')
            right_numerator, right_denominator = current_numerator, current_denominator
        else:
            break

    return ''.join(path)

input_data = input()
numerator, denominator = map(int, input_data.split())
result = get_path_to_fraction(numerator, denominator)
print(result)
